Name:           jube
Version:        2.6.0
Release:        1%{?dist}
Summary:        Benchmarking environment
License:        GPLv3+
URL:            http://www.fz-juelich.de/jsc/jube
# not directly downloadable
Source0:        http://apps.fz-juelich.de/jsc/jube/jube2/download.php?version=%version#/JUBE-%version.tar.gz
# from https://github.com/edf-hpc/jube
Source1:        jube.1
Source2:        jube-autorun.1
BuildRequires:  python3-devel
BuildRequires:  help2man
Requires:	python3-PyYAML
BuildArch:      noarch

%global __python python3

%description
The JUBE benchmarking environment provides a script based framework to
easily create benchmark sets, run those sets on different computer
systems and evaluate the results.


%prep
%setup -q -n JUBE-%version


%build
python3 setup.py build


%install
python3 setup.py install --skip-build --root %buildroot --prefix %_prefix
rm -rf %buildroot%_prefix/{LICENSE,RELEASE_NOTES,examples,docu}
mkdir -p %buildroot%_mandir/man1 %buildroot%_datadir/%name
# sometimes appearing here, but not in mock -- why?
# [ -d %buildroot%_prefix/platform ] &&
#mv %buildroot%_prefix/{platform,contrib} %buildroot%_datadir/%name

cat <<EOF >help2man.inc
[authors]
.B JUBE
was primarily written by Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre
[see also]
Full documentation for
.B JUBE
is available at http://www.fz-juelich.de/ias/jsc/EN/Expertise/Support/Software/JUBE/JUBE2/jube-documentation_node.html
EOF
export PYTHONPATH=build/lib
for p in jube jube-autorun; do
help2man --no-discard-stderr --no-info --version-string="jube 2.1.0" \
         --name="JUBE provides a script based framework to easily create benchmark sets, run those sets on different computer systems and evaluate the results." \
         --include=help2man.inc --output=%buildroot%_mandir/man1/$p.1 bin/$p
done

find %buildroot -name \*.xml | xargs chmod 0644


%files
%license LICENSE
%doc docs/JUBE.pdf RELEASE_NOTES examples
%_bindir/jube*
%python_sitelib/*
%_mandir/man1/*
%_datadir/%name


%changelog
* Tue Nov 21 2023 Dave Love <loveshack@fedoraproject.org> - 2.6.0-1
- New version

* Mon Aug 22 2022 Dave Love <loveshack@fedoraproject.org> - 2.4.3-1
- New version

* Tue Jun  8 2021 Dave Love <loveshack@fedoraproject.org> - 2.4.1-2
- Require pyyaml

* Tue Jun  8 2021 Dave Love <loveshack@fedoraproject.org> - 2.4.1-1
- New version
- Drop el6

* Fri Dec 20 2019 Dave Love <loveshack@fedoraproject.org> - 2.3.0-1
- New version

* Wed Feb 27 2019 Dave Love <loveshack@fedoraproject.org> - 2.2.2-1
- New version

* Fri Aug 31 2018 Dave Love <loveshack@fedoraproject.org> - 2.2.1-1
- New version

* Sat Feb 17 2018 Dave Love <loveshack@fedoraproject.org> - 2.2.0-1
- New version

* Sun May  8 2016 Dave Love <loveshack@fedoraproject.org> - 2.1.1-1
- Initial packaging
